登陆

tp5.0|php8.0 在window系统上写定时任务,执行报错

最近在学习php ,php版本是8.0,用的tp5框架,我的电脑是window系统,想学习一下怎么写定时任务,却发现执行的时候报错了,错误如下,Required parameter $length follows optional parameter $start,是因为php的版本问题吗?求解,倘若我不更换php的版本,怎么样修改,能使它运行起来呢?

1111.png

2222.png

3333.png

# PHP
暗夜蝶梦暗夜蝶梦57 天前279 次浏览

全部回复(1)我要回复

  • 猪老湿

    猪老湿2021-08-04 08:45:10

    根据错误提示, 参数不对, 再看一下官方手册或查阅tp源码, 看一下参数描述

    回复
    0
  • 取消回复发送